import React from 'react';
import { Provider } from '../types';
interface LiveChatLoaderProps {
    provider: Provider;
    children: React.ReactNode;
    idlePeriod?: number;
    maxIdlePeriod?: number;
    providerKey: string;
    appID?: string;
    baseUrl?: string;
    locale?: string;
    beforeInit?: () => void;
    onReady?: () => void;
}
export declare const LiveChatLoaderProvider: ({ provider, children, idlePeriod, maxIdlePeriod, baseUrl, ...props }: LiveChatLoaderProps) => JSX.Element | null;
export default LiveChatLoaderProvider;
