/// <reference types="react" />
import { ProviderProps } from '../../types';
type HelpScoutIcon = 'message' | 'antenna' | 'search' | 'question' | 'beacon' | 'close';
interface Props extends ProviderProps {
    color?: string;
    icon?: HelpScoutIcon;
    zIndex?: string;
    horizontalPosition?: 'left' | 'right';
}
declare const HelpScout: ({ color, icon, zIndex, horizontalPosition, containerClass }: Props) => JSX.Element | null;
export default HelpScout;
